# The MEME Suite

## Motif-based sequence analysis tools

# DREME

## Discriminative Regular Expression Motif Elicitation

### Usage:

`dreme [options] -p <primary sequence file> [-n <control sequence file>]`

### Description

### Input

#### Sequence file (primary)

A collection of sequences in FASTA format. The sequences should all be approximately the same length.

### Output

DREME writes an XML file to the output folder and converts it into a minimal MEME-formatted motif file and a human readable html file.

Additionally DREME can output motif logos if the -png and/or -eps options are specified.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
Input/Output
-p | primary sequence file | The name of a file containing the primary sequences in FASTA format. | Required argument. |
-n | control sequence file | The name of a file containing the control sequences in FASTA format. | DREME will create a set of control sequences by shuffling the primary sequences while preserving dimer frequencies. |
-png |  | Output motif logo images in portable network graphics (png) format. This format is useful for display on websites. | Images are not output in png format.
-eps |  | Output motif logo images in Encapsulated Postscript (eps) format. This format is useful for inclusion in publications as it is a vector graphics format and can be easily scaled. | Images are not output in eps format.
Alphabet
-dna |  | Use the standard DNA alphabet. This is the default alphabet anyway so the option only exists for symmetry. | The standard DNA alphabet is used.
-rna |  | Use the standard RNA alphabet. | The standard DNA alphabet is used.
-protein |  | Use the standard protein alphabet. This does not work very well because the protein alphabet only has 3 ambiguous symbols which does not cover the range of possibilities very well at all. | The standard DNA alphabet is used.
-alph | alphabet file | Provide a custom alphabet definition in the alphabet file. Note that DREME works best when there are ambiguous symbols for all likely combinations of core symbols. As DREME is currently implemented it can only access ambiguous symbols that can be built from 2 other already accessible symbols. | The standard DNA alphabet is used.
General
-norc |  | Search only the given primary sequences for motifs. | Search the given primary sequences and their reverse complements for motifs when the alphabet is complementable.
-g | ngen | Set the number of REs to generalize. Increasing ngen will make the search more through at some cost in speed. | DREME will generalise 100 REs.
-s | seed | Set the seed for the random number generator used to shuffle the sequences. When the -n option is given the control sequences will be used instead of shuffling. | The random number generator is initilised with a value of 1.
Stopping Conditions
-e | e | Stop searching for motifs when the next motif's E-value is > e. | Stop discovering motifs if the E-value threshold of 0.05 is exceeded.
-m | m | Stop searching for motifs when m motifs have been found. | There is no limit on the number of discovered motifs.
-t | t | Stop searching for motifs when t seconds have elapsed. | There is no limit on the time taken to discover motifs.
Set Core Motif Width
-mink | mink | Set the minimum width of the motif core. | A minimum core width of 3 is used.
-maxk | maxk | Set the maximum width of the motif core. | A maximum core width of 7 is used.
-k | k | Set the width of the motif core. This sets minimum width and maximum width to the same number. | The defaults for minimum and maximum width are used.
Miscellaneous
-desc | description | Include the text description in the HTML output. | No description in the HTML output.
-dfile | desc file | Include the first 500 characters of text from the file desc file in the HTML output. | No description in the HTML output.
-h |  | Display a usage message and exit. | Run as normal
-version |  | Display the version and exit. | Run as normal.
Experimental (use at own risk)
-l |  | Print list of enrichment of all REs tested. |

### Citing

If you use DREME in your research please cite the following paper:
Timothy L. Bailey, "DREME: Motif discovery in transcription factor ChIP-seq data", Bioinformatics, 27(12):1653-1659, 2011. [full text]